Uses of Interface
org.apache.sling.api.SlingHttpServletRequest
Packages that use SlingHttpServletRequest
Package
Description
SPI for applications hooking into the configuration infrastructure for parameterizing and customizing.
Licensed to the Apache Software Foundation (ASF) under one or more
contributor license agreements.
-
Uses of SlingHttpServletRequest in org.apache.sling.api.request
Methods in org.apache.sling.api.request with parameters of type SlingHttpServletRequestModifier and TypeMethodDescriptionstatic booleanRequestUtil.handleIfModifiedSince(SlingHttpServletRequest req, javax.servlet.http.HttpServletResponse resp) Deprecated. -
Uses of SlingHttpServletRequest in org.apache.sling.api.request.builder
Methods in org.apache.sling.api.request.builder that return SlingHttpServletRequestMethods in org.apache.sling.api.request.builder with parameters of type SlingHttpServletRequestModifier and TypeMethodDescription@NotNull SlingHttpServletRequestBuilderSlingHttpServletRequestBuilder.useRequestDispatcherFrom(SlingHttpServletRequest request) Deprecated. -
Uses of SlingHttpServletRequest in org.apache.sling.api.scripting
Methods in org.apache.sling.api.scripting that return SlingHttpServletRequestModifier and TypeMethodDescription@Nullable SlingHttpServletRequestSlingBindings.getRequest()Deprecated.UseSlingBindings.getJakartaRequest()instead.@NotNull SlingHttpServletRequestSlingScriptHelper.getRequest()Deprecated.UseSlingScriptHelper.getJakartaRequest()instead.Methods in org.apache.sling.api.scripting with parameters of type SlingHttpServletRequestModifier and TypeMethodDescriptionvoidSlingBindings.setRequest(SlingHttpServletRequest request) Deprecated. -
Uses of SlingHttpServletRequest in org.apache.sling.api.servlets
Methods in org.apache.sling.api.servlets with parameters of type SlingHttpServletRequestModifier and TypeMethodDescriptionbooleanOptingServlet.accepts(@NotNull SlingHttpServletRequest request) Deprecated.Examines the request, and returntrueif this servlet is willing to handle the request.protected voidSlingAllMethodsServlet.doDelete(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response) Deprecated.Called by theSlingAllMethodsServlet.mayService(SlingHttpServletRequest, SlingHttpServletResponse)method to handle an HTTP DELETE request.protected voidSlingSafeMethodsServlet.doGeneric(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response) Deprecated.Called by theSlingSafeMethodsServlet.service(SlingHttpServletRequest, SlingHttpServletResponse)method to handle a request for an HTTP method, which is not known and handled by this class or its extension.protected voidSlingSafeMethodsServlet.doGet(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response) Deprecated.Called by theSlingSafeMethodsServlet.mayService(SlingHttpServletRequest, SlingHttpServletResponse)method to handle an HTTP GET request.protected voidSlingSafeMethodsServlet.doHead(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response) Deprecated.Handles the HEAD method.protected voidSlingSafeMethodsServlet.doOptions(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response) Deprecated.Handles the OPTIONS method by setting the HTTPAllowheader on the response depending on the methods declared in this class.protected voidSlingAllMethodsServlet.doPost(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response) Deprecated.Called by theSlingAllMethodsServlet.mayService(SlingHttpServletRequest, SlingHttpServletResponse)method to handle an HTTP POST request.protected voidSlingAllMethodsServlet.doPut(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response) Deprecated.Called by theSlingAllMethodsServlet.mayService(SlingHttpServletRequest, SlingHttpServletResponse)method to handle an HTTP PUT request.protected voidSlingSafeMethodsServlet.doTrace(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response) Deprecated.Handles the TRACE method by just returning the list of all header values in the response body.voidErrorHandler.handleError(int status, String message, SlingHttpServletRequest request, SlingHttpServletResponse response) Deprecated.Called to render a response for a HTTP status code.voidErrorHandler.handleError(Throwable throwable, SlingHttpServletRequest request, SlingHttpServletResponse response) Deprecated.Called to render a response for an uncaughtThrowable.protected voidSlingSafeMethodsServlet.handleMethodNotImplemented(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response) Deprecated.Helper method which causes an appropriate HTTP response to be sent for an unhandled HTTP request method.protected booleanSlingAllMethodsServlet.mayService(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response) Deprecated.Tries to handle the request by calling a Java method implemented for the respective HTTP request method.protected booleanSlingSafeMethodsServlet.mayService(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response) Deprecated.Tries to handle the request by calling a Java method implemented for the respective HTTP request method.javax.servlet.ServletServletResolver.resolveServlet(SlingHttpServletRequest request) Deprecated.protected voidSlingSafeMethodsServlet.service(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response) Deprecated.Called by theSlingSafeMethodsServlet.service(ServletRequest, ServletResponse)method to handle the HTTP request. -
Uses of SlingHttpServletRequest in org.apache.sling.api.uri
Methods in org.apache.sling.api.uri with parameters of type SlingHttpServletRequestModifier and TypeMethodDescriptionstatic @NotNull SlingUriBuilderSlingUriBuilder.createFrom(SlingHttpServletRequest request) Deprecated. -
Uses of SlingHttpServletRequest in org.apache.sling.api.wrappers
Classes in org.apache.sling.api.wrappers that implement SlingHttpServletRequestModifier and TypeClassDescriptionclassWrapper forSlingJakartaHttpServletRequestto adapt it to the Javax Servlet API.classDeprecated.Methods in org.apache.sling.api.wrappers that return SlingHttpServletRequestModifier and TypeMethodDescriptionSlingHttpServletRequestWrapper.getSlingRequest()Deprecated.Return the originalSlingHttpServletRequestobject wrapped by this.static @Nullable SlingHttpServletRequestJakartaToJavaxRequestWrapper.toJavaxRequest(@Nullable SlingJakartaHttpServletRequest request) Create a new wrapperMethods in org.apache.sling.api.wrappers with parameters of type SlingHttpServletRequestModifier and TypeMethodDescriptionbooleanJakartaToJavaxServletWrapper.JakartaToJavaxOptingServletWrapper.accepts(@NotNull SlingHttpServletRequest request) static @Nullable SlingJakartaHttpServletRequestJavaxToJakartaRequestWrapper.toJakartaRequest(@Nullable SlingHttpServletRequest request) Create a new wrapperConstructors in org.apache.sling.api.wrappers with parameters of type SlingHttpServletRequestModifierConstructorDescriptionJavaxToJakartaRequestWrapper(SlingHttpServletRequest wrappedRequest) SlingHttpServletRequestWrapper(SlingHttpServletRequest wrappedRequest) Deprecated.Create a wrapper for the supplied wrappedRequest -
Uses of SlingHttpServletRequest in org.apache.sling.caconfig.spi
Methods in org.apache.sling.caconfig.spi with parameters of type SlingHttpServletRequestModifier and TypeMethodDescription@Nullable ResourceConfigurationInjectResourceDetectionStrategy.detectResource(@NotNull SlingHttpServletRequest request) Detects the resource that is associated with the given request. -
Uses of SlingHttpServletRequest in org.apache.sling.i18n
Methods in org.apache.sling.i18n with parameters of type SlingHttpServletRequestModifier and TypeMethodDescriptionDefaultLocaleResolver.resolveLocale(SlingHttpServletRequest request) Deprecated.Return the Locales provided by theServletRequest.getLocales()method collected in aList.LocaleResolver.resolveLocale(SlingHttpServletRequest request) Deprecated.Return a non-nullbut possiby empty list ofLocaleinstances to consider for localization of the current request. -
Uses of SlingHttpServletRequest in org.apache.sling.models.factory
Methods in org.apache.sling.models.factory with parameters of type SlingHttpServletRequestModifier and TypeMethodDescription<T> TModelFactory.createModelFromWrappedRequest(SlingHttpServletRequest request, @NotNull Resource resource, @NotNull Class<T> targetClass) Deprecated.<T> TModelFactory.exportModelForRequest(SlingHttpServletRequest request, @NotNull String exporterName, @NotNull Class<T> targetClass, @NotNull Map<String, String> options) Deprecated.@NotNull ObjectModelFactory.getModelFromRequest(SlingHttpServletRequest request) Deprecated.<T> TModelFactory.getModelFromWrappedRequest(SlingHttpServletRequest request, @NotNull Resource resource, @NotNull Class<T> targetClass) Deprecated.booleanModelFactory.isModelAvailableForRequest(SlingHttpServletRequest request) Deprecated. -
Uses of SlingHttpServletRequest in org.apache.sling.scripting.core
Methods in org.apache.sling.scripting.core that return SlingHttpServletRequestConstructors in org.apache.sling.scripting.core with parameters of type SlingHttpServletRequestModifierConstructorDescriptionScriptHelper(org.osgi.framework.BundleContext ctx, SlingScript script, SlingHttpServletRequest request, SlingHttpServletResponse response) -
Uses of SlingHttpServletRequest in org.apache.sling.scripting.jsp.util
Methods in org.apache.sling.scripting.jsp.util that return SlingHttpServletRequestModifier and TypeMethodDescriptionstatic SlingHttpServletRequestTagUtil.getRequest(javax.servlet.jsp.PageContext pageContext) -
Uses of SlingHttpServletRequest in org.apache.sling.scripting.sightly.engine
Methods in org.apache.sling.scripting.sightly.engine with parameters of type SlingHttpServletRequestModifier and TypeMethodDescriptionstatic @Nullable ResourceResourceResolution.getResourceForRequest(@Nullable ResourceResolver resolver, SlingHttpServletRequest request) -
Uses of SlingHttpServletRequest in org.apache.sling.servlets.post
Methods in org.apache.sling.servlets.post with parameters of type SlingHttpServletRequestModifier and TypeMethodDescriptionPostResponseCreator.createPostResponse(SlingHttpServletRequest req) Deprecated.PostResponseWithErrorHandling.createPostResponse(SlingHttpServletRequest request) Deprecated.protected abstract voidAbstractPostOperation.doRun(SlingHttpServletRequest request, PostResponse response, List<Modification> changes) Deprecated.Actually performs the desired operation filling progress into thechangeslist and preparing and further information in theresponse.protected abstract voidAbstractSlingPostOperation.doRun(SlingHttpServletRequest request, HtmlResponse response, List<Modification> changes) Deprecated.protected voidAbstractSlingPostOperation.doRun(SlingHttpServletRequest request, PostResponse response, List<Modification> changes) Deprecated.Implementation of theAbstractPostOperation.doRun(SlingHttpServletRequest, PostResponse, List)method calling our ownAbstractSlingPostOperation.run(SlingHttpServletRequest, HtmlResponse, SlingPostProcessor[])meethod with a proxy for the Sling APIHtmlResponse.protected final StringAbstractPostOperation.externalizePath(SlingHttpServletRequest request, String path) Deprecated.Returns an external form of the given path prepending the context path and appending a display extension.AbstractPostOperation.getApplyToResources(SlingHttpServletRequest request) Deprecated.Returns an iterator onResourceinstances addressed in theSlingPostConstants.RP_APPLY_TOrequest parameter.protected StringAbstractPostOperation.getItemPath(SlingHttpServletRequest request) Deprecated.Returns the path of the resource of the request as the item path.NodeNameGenerator.getNodeName(SlingHttpServletRequest request, String parentPath, boolean requirePrefix, NodeNameGenerator defaultNodeNameGenerator) Deprecated.Get the to-be-created node name from the request.protected VersioningConfigurationAbstractPostOperation.getVersioningConfiguration(SlingHttpServletRequest request) Deprecated.Get the versioning configuration.protected booleanPostResponseWithErrorHandling.isSendError(SlingHttpServletRequest request) Deprecated.protected booleanAbstractPostOperation.isSessionSaveRequired(javax.jcr.Session session, SlingHttpServletRequest request) Deprecated.Check whether commit to the resource resolver should be called.protected booleanAbstractPostOperation.isSkipCheckin(SlingHttpServletRequest request) Deprecated.Check if checkin should be skippedprotected booleanAbstractPostOperation.isSkipSessionHandling(SlingHttpServletRequest request) Deprecated.Check whether changes should be written backprotected voidAbstractPostOperation.orderNode(SlingHttpServletRequest request, javax.jcr.Item item, List<Modification> changes) Deprecated.Orders the given node according to the specified command.voidSlingPostProcessor.process(SlingHttpServletRequest request, List<Modification> changes) Deprecated.Process the current request.protected final booleanAbstractPostOperation.requireItemPathPrefix(SlingHttpServletRequest request) Deprecated.Returns true if any of the request parameters starts with./.voidAbstractPostOperation.run(SlingHttpServletRequest request, PostResponse response, SlingPostProcessor[] processors) Deprecated.Prepares and finalizes the actual operation.voidAbstractSlingPostOperation.run(SlingHttpServletRequest request, HtmlResponse response, SlingPostProcessor[] processors) Deprecated.Implementation of theSlingPostOperation.run(SlingHttpServletRequest, HtmlResponse, SlingPostProcessor[])API method calling thePostOperation.run(SlingHttpServletRequest, PostResponse, SlingPostProcessor[])with a proxy around the Sling APIHtmlResponseprovided.voidPostOperation.run(SlingHttpServletRequest request, PostResponse response, SlingPostProcessor[] processors) Deprecated.Executes the operation provided by this service implementation.voidSlingPostOperation.run(SlingHttpServletRequest request, HtmlResponse response, SlingPostProcessor[] processors) Deprecated.Executes the operation provided by this service implementation.
RequestUtil.handleIfModifiedSince(SlingJakartaHttpServletRequest, HttpServletResponse)instead.